#!/usr/bin/perl
#
# $Id: one_day_script.pl,v 1.2 1998/04/29 17:54:53 wralph Exp $
#
#  Script to scan a tcpdump compressed hourly file using a pre-defined
#  tcpdump script. Parameters are: Date as YYMMDDHH and script name.
#  
#  Written by Bill Ralph 3/20/98
#
# Set up some variables.
#
use Getopt::Long;
use POSIX qw(strftime);
#
$CID_PATH = "/usr/local/logger";
$ENV{PATH} = "/bin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin:$CID_PATH";
#
sub usage {
        print "Usage: one_day_script.pl [-n] -d SNIFDATE [-l LOGGER_LOCATION] -s SCRIPT.\n";
	exit 2;
}
#
#	Parse the parameters.
#
#
use Getopt::Long;
&GetOptions("n", \$no_lookup_flag, "d=s", \$snifdate, "l=s", \$Site,
            "s=s", \$script);
##
#
#  Check parameter validity.
#
if ("$Site" eq "" or $script eq "")
{
	usage();
}
#
# Once the Site is identified from the command line,
# load the needed external Parameters.
#
unshift(@INC, "$CID_PATH/sites");
die ("No such site: ${Site}.") if ( ! -e "$CID_PATH/sites/${Site}.ph");
require "${Site}.ph";

#
#
#
# If no snifdate specified on command line, assume today.
#
if ($snifdate eq "") {
   $snifdate = strftime("%y%m%d", localtime);
}

#
#
#  Break up the "snifdate" into its useful components.
#
$year=substr($snifdate,0,2);
$mon=substr($snifdate,2,2) - 1;
$mday=substr($snifdate,4,2);
$subdir=strftime("%h%d", 0, 0, 0, $mday, $mon, $year, 0, 0, 0);

#
#  Set the no_lookup_flag to -n for tcpdump if it was specified on the calling
#  parameter list.
#
$no_lookup_flag = ($no_lookup_flag eq "1") ?"-n":"";
#
# Ready to start the work now, find the hourly data files.
#
#
#
chdir("${ANALYZER_DIR}/${subdir}");
@files=<tcp.*.gz>;
#print STDOUT @files;
if ($files[0] eq "") {
#
#  No hourly files, they must have been already condensed into daily ones.
#
   @files=<day*.gz>;
}
foreach $file (@files) {
#   print STDOUT ("gunzip -c $file | tcpdump -r - -F $FILTER_DIR/$script\n");
   system("gunzip -c $file | tcpdump -r - -F $FILTER_DIR/$script");
}
