# Systemwide variables needed by the CID package
#
# Author: Olav Kolbu <olav.kolbu@usit.uio.no>
# Editor: Bill Ralph <wralph@nswc.navy.mil>
#
# This code is hereby released into the public domain. It is released
# "as-is". All warranties disclaimed, implied or otherwise.
#

use POSIX qw(strftime);
use Time::Local;

# We need various timestamps all over the place
@T = localtime;

# The location of the scripts to be run on the sensor machine.
# 
$PROGLOC  = "/usr/local/logger/sensor";

# The full path to the 'tcpdump' program
$LOGPROG  = "/usr/sbin/tcpdump";	# RH Linux 5.1
$PROGPAR  = "-i eth0";			# Parameter necessary for Linux
#$LOGPROG  = "/usr/local/bin/tcpdump";	# SunOS 4.1.x
#$PROGPAR  = "";			# Parameter unnecessary for SunOS

# The full path to the 'gzip' program
$GZIPPROG = "/bin/gzip";		# RH Linux 5.1
#$GZIPPROG = "/usr/local/bin/gzip";	# SunOS 4.1.x

# The log directory
$LOGDIR   = "/LOG";

# The PID file containing the pid of the last known 'tcpdump'
# Confusing variablename for a file but there ya go
$LOGPID  = "$LOGDIR/log.pid";

# The name of the current logfile
#$tmp = sprintf("%02d%02d%02d%02d", $T[5],$T[4]+1,$T[3],$T[2]);
#$TCPLOG   = "$LOGDIR/tcp.$tmp.gz";
$tmp1 = strftime("%y%m%d%H", @T);
$TCPLOG   = "$LOGDIR/tcp.$tmp1.gz";

# The name of the filter file to have 'tcpdump' apply as it saves packets
$FILTER = "/usr/local/logger/sensor/filter";
